Package: bitcoin / 22.0-1

Metadata

Package Version Patches format
bitcoin 22.0-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
1001_use_system_leveldb.patch | (download)

configure.ac | 25 22 + 3 - 0 !
src/dbwrapper.cpp | 4 4 + 0 - 0 !
2 files changed, 26 insertions(+), 3 deletions(-)

 use system libleveldb-dev instead of a bundled one.
 Patch derived from Debian litecoin package, extended to be
 autoconfigurable.
1002_use_system_secp256k1.patch | (download)

configure.ac | 48 47 + 1 - 0 !
src/Makefile.am | 17 11 + 6 - 0 !
src/Makefile.test.include | 2 2 + 0 - 0 !
3 files changed, 60 insertions(+), 7 deletions(-)

 build against system secp256k1 when available
1003_man_proper_header.patch | (download)

doc/man/bitcoin-cli.1 | 4 2 + 2 - 0 !
doc/man/bitcoin-qt.1 | 4 2 + 2 - 0 !
doc/man/bitcoin-tx.1 | 4 2 + 2 - 0 !
doc/man/bitcoin-util.1 | 4 2 + 2 - 0 !
doc/man/bitcoin-wallet.1 | 4 2 + 2 - 0 !
doc/man/bitcoind.1 | 4 2 + 2 - 0 !
6 files changed, 12 insertions(+), 12 deletions(-)

 use proper header sections in man pages
2001_avoid_embedded_libs.patch | (download)

Makefile.am | 6 6 + 0 - 0 !
src/Makefile.am | 10 8 + 2 - 0 !
2 files changed, 14 insertions(+), 2 deletions(-)

 avoid embedded libraries
2002_UniValue_non atomic_int.patch | (download)

src/rpc/blockchain.cpp | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix convert atomic to non-atomic integer for univalue
 Fixes Bitcoin 0.20.1 build failure when linked with mainline UniValue:
 rpc/blockchain.cpp:2077:35: error: cannot convert 'std::atomic<int>' to 'const UniValue&'